org.jfree.chart.annotations

## Class CategoryTextAnnotation

- java.lang.Object
- - org.jfree.chart.annotations.AbstractAnnotation
  - - org.jfree.chart.annotations.TextAnnotation
    - - org.jfree.chart.annotations.CategoryTextAnnotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Annotation, CategoryAnnotation, org.jfree.util.PublicCloneable

Direct Known Subclasses:
  CategoryPointerAnnotation

    public class CategoryTextAnnotation
    extends TextAnnotation
    implements CategoryAnnotation, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A text annotation that can be placed on a `CategoryPlot`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jfree.chart.annotations.TextAnnotation

`DEFAULT_FONT, DEFAULT_PAINT, DEFAULT_ROTATION_ANCHOR, DEFAULT_ROTATION_ANGLE, DEFAULT_TEXT_ANCHOR`

### Constructor Summary

Constructors
Constructor and Description
`CategoryTextAnnotation(java.lang.String text, java.lang.Comparable category, double value)` Creates a new annotation to be displayed at the given location.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns a clone of the annotation.
`void` `draw(java.awt.Graphics2D g2, CategoryPlot plot, java.awt.geom.Rectangle2D dataArea, CategoryAxis domainAxis, ValueAxis rangeAxis)` Draws the annotation.
`boolean` `equals(java.lang.Object obj)` Tests this object for equality with another.
`java.lang.Comparable` `getCategory()` Returns the category.
`CategoryAnchor` `getCategoryAnchor()` Returns the category anchor point.
`double` `getValue()` Returns the value that the annotation attaches to.
`int` `hashCode()` Returns a hash code for this instance.
`void` `setCategory(java.lang.Comparable category)` Sets the category that the annotation attaches to and sends an `AnnotationChangeEvent` to all registered listeners.
`void` `setCategoryAnchor(CategoryAnchor anchor)` Sets the category anchor point and sends an `AnnotationChangeEvent` to all registered listeners.
`void` `setValue(double value)` Sets the value and sends an `AnnotationChangeEvent` to all registered listeners.

### Methods inherited from class org.jfree.chart.annotations.TextAnnotation

`getFont, getPaint, getRotationAnchor, getRotationAngle, getText, getTextAnchor, setFont, setPaint, setRotationAnchor, setRotationAngle, setText, setTextAnchor`

### Methods inherited from class org.jfree.chart.annotations.AbstractAnnotation

`addChangeListener, fireAnnotationChanged, getNotify, hasListener, notifyListeners, removeChangeListener, setNotify`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.annotations.Annotation

`addChangeListener, removeChangeListener`

### Constructor Detail

#### CategoryTextAnnotation

    public CategoryTextAnnotation(java.lang.String text,
                          java.lang.Comparable category,
                          double value)

Creates a new annotation to be displayed at the given location.

Parameters:
  `text` - the text (`null` not permitted).
  `category` - the category (`null` not permitted).
  `value` - the value.

### Method Detail

#### getCategory

    public java.lang.Comparable getCategory()

Returns the category.

Returns:
  The category (never `null`).
See Also:
  `setCategory(Comparable)`

#### setCategory

    public void setCategory(java.lang.Comparable category)

Sets the category that the annotation attaches to and sends an `AnnotationChangeEvent` to all registered listeners.

Parameters:
  `category` - the category (`null` not permitted).
See Also:
  `getCategory()`

#### getCategoryAnchor

    public CategoryAnchor getCategoryAnchor()

Returns the category anchor point.

Returns:
  The category anchor point.
See Also:
  `setCategoryAnchor(CategoryAnchor)`

#### setCategoryAnchor

    public void setCategoryAnchor(CategoryAnchor anchor)

Sets the category anchor point and sends an `AnnotationChangeEvent` to all registered listeners.

Parameters:
  `anchor` - the anchor point (`null` not permitted).
See Also:
  `getCategoryAnchor()`

#### getValue

    public double getValue()

Returns the value that the annotation attaches to.

Returns:
  The value.
See Also:
  `setValue(double)`

#### setValue

    public void setValue(double value)

Sets the value and sends an `AnnotationChangeEvent` to all registered listeners.

Parameters:
  `value` - the value.
See Also:
  `getValue()`

#### draw

    public void draw(java.awt.Graphics2D g2,
            CategoryPlot plot,
            java.awt.geom.Rectangle2D dataArea,
            CategoryAxis domainAxis,
            ValueAxis rangeAxis)

Draws the annotation.

Specified by:
  `draw` in interface `CategoryAnnotation`
Parameters:
  `g2` - the graphics device.
  `plot` - the plot.
  `dataArea` - the data area.
  `domainAxis` - the domain axis.
  `rangeAxis` - the range axis.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this object for equality with another.

Overrides:
  `equals` in class `TextAnnotation`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  `true` or `false`.

#### hashCode

    public int hashCode()

Returns a hash code for this instance.

Overrides:
  `hashCode` in class `TextAnnotation`
Returns:
  A hash code.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of the annotation.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `AbstractAnnotation`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - this class will not throw this exception, but subclasses (if any) might.